FEM ConstraintSelfWeight: Difference between revisions

From FreeCAD Documentation
(Marked this version for translation)
(Marked this version for translation)
 
(47 intermediate revisions by 9 users not shown)
Line 1: Line 1:
<languages/>
<translate>
<translate>

<!--T:14-->
{{Docnav
|[[FEM_ConstraintCentrif|Constraint centrif]]
|[[FEM_ConstraintInitialTemperature|Constraint initial temperature]]
|[[FEM_Workbench|FEM]]
|IconL=FEM_ConstraintCentrif.svg
|IconR=FEM_ConstraintInitialTemperature.svg
|IconC=Workbench_FEM.svg
}}

<!--T:1-->
<!--T:1-->
{{GuiCommand
{{GuiCommand|Name=FEM ConstraintSelfWeight|MenuLocation=FEM → Constraint self weight||Workbenches=[[Fem Workbench|FEM]]|Shortcut=C,W|SeeAlso=[[FEM_tutorial|FEM tutorial]]}}
|Name=FEM ConstraintSelfWeight
|MenuLocation=Model → Mechanical boundary conditions and loads → Gravity load
|Workbenches=[[FEM_Workbench|FEM]]
|SeeAlso=[[FEM_tutorial|FEM tutorial]]
}}


==Description== <!--T:2-->
==Description== <!--T:2-->
Constraint self weight defines gravity acceleration 9,81 m/s^2 acting on the whole model in the prescribed direction.


==How to use== <!--T:3-->
<!--T:12-->
Defines a gravity acceleration acting on the whole model in the prescribed direction.
#Click on [[Image:FEM ConstraintSelfWeight.png|32px]] or choose {{KEY| FEM}} → {{KEY|[[Image:FEM ConstraintSelfWeight.png|32px]] Constraint self weight}} from the top menu or press {{KEY|C}} then {{KEY|W}} keys.

#You can modify the direction of gravitation by changing its vector coordinates in the property bar of newly created ConstraintSelfWeight object.
<!--T:23-->
{{VersionMinus|0.21}}: The acceleration has a fixed value of 9.81 m/s^2.

==Usage== <!--T:3-->

<!--T:13-->
# There are several ways to invoke the command:
#* Press the {{Button|[[Image:FEM_ConstraintSelfWeight.svg|16px]] [[FEM_ConstraintSelfWeight|Gravity load]]}} button.
#* Select the {{MenuCommand|Model → Mechanical boundary conditions and loads → [[Image:FEM_ConstraintSelfWeight.svg|16px]] Gravity load}} option from the menu.
# A ConstraintSelfWeight object is created.
# {{Version|0.22}}: Optionally change its {{PropertyData|Gravity Acceleration}} property.
# Optionally change its {{PropertyData|Gravity Direction}} property.


==Scripting== <!--T:4-->
==Scripting== <!--T:4-->


<!--T:7-->
<!--T:7-->
* new object
New object:

</translate>
</translate>
{{Code|code=
{{Code|code=
import ObjectsFem
import ObjectsFem
ObjectsFem.makeConstraintSelfWeight( name )
ObjectsFem.makeConstraintSelfWeight(name)
}}
}}
<translate>
<translate>


<!--T:8-->
<!--T:8-->
* add object to the analysis named Analysis
Add object to the analysis named Analysis:

</translate>
</translate>
{{Code|code=
{{Code|code=
App.ActiveDocument.Analysis.Member = App.ActiveDocument.Analysis.Member + [ (object) ]
App.ActiveDocument.Analysis.Member = App.ActiveDocument.Analysis.Member + [(object)]
}}
}}
<translate>
<translate>


<!--T:9-->
<!--T:9-->
Example:
* example:

</translate>
</translate>
{{Code|code=
{{Code|code=
import ObjectsFem
import ObjectsFem
selfweight_obj = ObjectsFem.makeConstraintSelfWeight( 'MySelfWeightObject' )
selfweight_obj = ObjectsFem.makeConstraintSelfWeight("MySelfWeightObject")
App.ActiveDocument.Analysis.Member = App.ActiveDocument.Analysis.Member + [selfweight_obj]
App.ActiveDocument.Analysis.Member = App.ActiveDocument.Analysis.Member + [selfweight_obj]

}}
}}
<translate>
<translate>


== Solver CalculiX == <!--T:5-->
== Solver CalculiX == <!--T:18-->
===Limitations===
*You need to modify .inp file to edit gravity acceleration.
*Self weight is applied to the element set Eall means to the whole model.


===Editing CalculiX input file=== <!--T:10-->
===Limitations=== <!--T:19-->

Acceleration constant can be edited by hand modification after generating CalculiX input file.
<!--T:5-->
*{{VersionMinus|0.21}}: You need to modify the .inp file to edit gravity acceleration.
*Self-weight is applied to the element set Eall which includes the whole model.

===Editing CalculiX input file=== <!--T:20-->

<!--T:10-->
The acceleration constant can be manually edited after generating the CalculiX input file.


<!--T:6-->
<!--T:6-->
Example of lines in .inp file:
Example of lines in the .inp file:

</translate>
{{Code|code=
{{Code|code=
*DLOAD
*DLOAD
Eall,GRAV,9810,0.0,0.0,-1.0
Eall,GRAV,9810,0.0,0.0,-1.0
}}
}}
<translate>
where 9810 is gravity acceleration in [mm/s^2]


== Solver Z88 == <!--T:11-->
<!--T:21-->
where 9810 is a gravity acceleration magnitude in [mm/s^2], and 0,0,-1 is the direction vector. The value can be set as a multiple of standard gravity acceleration to simulate loading of e.g. 4g.
* not implemented in Z88 solver (March 2017)

== Solver Z88 == <!--T:22-->

<!--T:11-->
* Currently, not implemented in the Z88 solver.


<!--T:15-->
{{Docnav
|[[FEM_ConstraintCentrif|Constraint centrif]]
|[[FEM_ConstraintInitialTemperature|Constraint initial temperature]]
|[[FEM_Workbench|FEM]]
|IconL=FEM_ConstraintCentrif.svg
|IconR=FEM_ConstraintInitialTemperature.svg
|IconC=Workbench_FEM.svg
}}


</translate>
</translate>
{{FEM Tools navi{{#translation:}}}}
{{clear}}
{{Userdocnavi{{#translation:}}}}
<languages/>

Latest revision as of 09:58, 24 January 2024

FEM ConstraintSelfWeight

Menu location
Model → Mechanical boundary conditions and loads → Gravity load
Workbenches
FEM
Default shortcut
None
Introduced in version
-
See also
FEM tutorial

Description

Defines a gravity acceleration acting on the whole model in the prescribed direction.

version 0.21 and below: The acceleration has a fixed value of 9.81 m/s^2.

Usage

  1. There are several ways to invoke the command:
    • Press the Gravity load button.
    • Select the Model → Mechanical boundary conditions and loads → Gravity load option from the menu.
  2. A ConstraintSelfWeight object is created.
  3. introduced in version 0.22: Optionally change its DataGravity Acceleration property.
  4. Optionally change its DataGravity Direction property.

Scripting

New object:

import ObjectsFem
ObjectsFem.makeConstraintSelfWeight(name)

Add object to the analysis named Analysis:

App.ActiveDocument.Analysis.Member = App.ActiveDocument.Analysis.Member + [(object)]

Example:

import ObjectsFem
selfweight_obj = ObjectsFem.makeConstraintSelfWeight("MySelfWeightObject")
App.ActiveDocument.Analysis.Member = App.ActiveDocument.Analysis.Member + [selfweight_obj]

Solver CalculiX

Limitations

  • version 0.21 and below: You need to modify the .inp file to edit gravity acceleration.
  • Self-weight is applied to the element set Eall which includes the whole model.

Editing CalculiX input file

The acceleration constant can be manually edited after generating the CalculiX input file.

Example of lines in the .inp file:

*DLOAD
Eall,GRAV,9810,0.0,0.0,-1.0

where 9810 is a gravity acceleration magnitude in [mm/s^2], and 0,0,-1 is the direction vector. The value can be set as a multiple of standard gravity acceleration to simulate loading of e.g. 4g.

Solver Z88

  • Currently, not implemented in the Z88 solver.